MP4(3)

NAME

MP4ConvertToTrackTimestamp - Convert a timestamp from a specified time scale to the track time scale.

SYNTAX

#include <mp4.h>

MP4Timestamp MP4ConvertToTrackTimestamp(
    MP4FileHandle hFile,
    MP4TrackId trackId,
    u_int64_t timestamp,
    u_int32_t oldTimeScale
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track from which the duration originates.

timestamp
    Specifies the timestamp that is to be converted.

oldTimeScale
    Specifies the time scale in ticks per second in which the timestamp is currently expressed.

RETURN VALUES

Upon success, the timestamp in the track time scale units. Upon error, MP4_INVALID_TIMESTAMP.

DESCRIPTION

MP4ConvertToTrackTimestamp converts a timestamp such as a sample start time from the specified time scale to the track time scale.

SEE ALSO

MP4(3) MP4ConvertFromTrackTimestamp(3)